com.fasterxml.jackson.dataformat.ion

## Class IonObjectMapper

- java.lang.Object
- - com.fasterxml.jackson.core.TreeCodec
  - - com.fasterxml.jackson.core.ObjectCodec
    - - com.fasterxml.jackson.databind.ObjectMapper
      - - com.fasterxml.jackson.dataformat.ion.IonObjectMapper

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Serializable
  Direct Known Subclasses:
    IonValueMapper

      public class IonObjectMapper
      extends com.fasterxml.jackson.databind.ObjectMapper

  Specialization of `ObjectMapper` that will set underlying `JsonFactory` to be an instance of `IonFactory`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ObjectMapper

      `com.fasterxml.jackson.databind.ObjectMapper.DefaultTypeResolverBuilder, com.fasterxml.jackson.databind.ObjectMapper.DefaultTyping`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ObjectMapper

      `_configOverrides, _deserializationConfig, _deserializationContext, _injectableValues, _jsonFactory, _mixIns, _registeredModuleTypes, _rootDeserializers, _serializationConfig, _serializerFactory, _serializerProvider, _subtypeResolver, _typeFactory, DEFAULT_ANNOTATION_INTROSPECTOR, DEFAULT_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `IonObjectMapper()`
    `` | `IonObjectMapper(IonFactory f)`
    `protected` | `IonObjectMapper(IonObjectMapper src)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.databind.ObjectMapper` | `copy()`
    `IonFactory` | `getFactory()`
    `<T> T` | `readValue(software.amazon.ion.IonReader r, Class<T> valueType)` Deserialize an Ion value read from the supplied IonReader into a Java type.
    `<T> T` | `readValue(software.amazon.ion.IonReader r, com.fasterxml.jackson.databind.JavaType valueType)` Deserialize an Ion value read from the supplied IonReader into a Java type.
    `<T> T` | `readValue(software.amazon.ion.IonReader r, com.fasterxml.jackson.core.type.TypeReference valueTypeRef)` Deserialize an Ion value read from the supplied IonReader into a Java type.
    `<T> T` | `readValue(software.amazon.ion.IonValue value, Class<T> valueType)` Convenience method for converting Ion value into given value type.
    `<T> T` | `readValue(software.amazon.ion.IonValue value, com.fasterxml.jackson.databind.JavaType valueType)` Convenience method for converting Ion value into given value type.
    `<T> T` | `readValue(software.amazon.ion.IonValue value, com.fasterxml.jackson.core.type.TypeReference valueTypeRef)` Convenience method for converting Ion value into given value type.
    `void` | `setCreateBinaryWriters(boolean bin)`
    `com.fasterxml.jackson.core.Version` | `version()`
    `void` | `writeValue(software.amazon.ion.IonWriter w, Object value)` Method that can be used to serialize any Java value as Ion output, using IonWriter provided.
    `software.amazon.ion.IonValue` | `writeValueAsIonValue(Object value)` Method that can be used to map any Java value to an IonValue.

    - ### Methods inherited from class com.fasterxml.jackson.databind.ObjectMapper

      `_checkInvalidCopy, _configAndWriteValue, _convert, _findRootDeserializer, _initForReading, _initForReading, _newReader, _newReader, _newWriter, _newWriter, _newWriter, _readMapAndClose, _readTreeAndClose, _readValue, _serializerProvider, _unwrapAndDeserialize, _verifyNoTrailingTokens, _verifySchemaType, acceptJsonFormatVisitor, acceptJsonFormatVisitor, addHandler, addMixIn, addMixInAnnotations, canDeserialize, canDeserialize, canSerialize, canSerialize, clearProblemHandlers, configOverride, configure, configure, configure, configure, configure, constructType, convertValue, convertValue, convertValue, createArrayNode, createDeserializationContext, createObjectNode, defaultClassIntrospector, disable, disable, disable, disable, disable, disable, disable, disableDefaultTyping, enable, enable, enable, enable, enable, enable, enable, enableDefaultTyping, enableDefaultTyping, enableDefaultTyping, enableDefaultTypingAsProperty, findAndRegisterModules, findMixInClassFor, findModules, findModules, generateJsonSchema, getDateFormat, getDeserializationConfig, getDeserializationContext, getInjectableValues, getJsonFactory, getNodeFactory, getPropertyNamingStrategy, getSerializationConfig, getSerializerFactory, getSerializerProvider, getSerializerProviderInstance, getSubtypeResolver, getTypeFactory, getVisibilityChecker, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, mixInCount, reader, reader, reader, reader, reader, reader, reader, reader, reader, reader, reader, readerFor, readerFor, readerFor, readerForUpdating, readerWithView, readTree, readTree, readTree, readTree, readTree, readTree, readTree, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValues, readValues, readValues, readValues, registerModule, registerModules, registerModules, registerSubtypes, registerSubtypes, registerSubtypes, setAnnotationIntrospector, setAnnotationIntrospectors, setBase64Variant, setConfig, setConfig, setDateFormat, setDefaultMergeable, setDefaultPrettyPrinter, setDefaultPropertyInclusion, setDefaultPropertyInclusion, setDefaultSetterInfo, setDefaultTyping, setDefaultVisibility, setFilterProvider, setFilters, setHandlerInstantiator, setInjectableValues, setLocale, setMixInAnnotations, setMixInResolver, setMixIns, setNodeFactory, setPropertyInclusion, setPropertyNamingStrategy, setSerializationInclusion, setSerializerFactory, setSerializerProvider, setSubtypeResolver, setTimeZone, setTypeFactory, setVisibility, setVisibility, setVisibilityChecker, treeAsTokens, treeToValue, updateValue, valueToTree, writer, writer, writer, writer, writer, writer, writer, writer, writer, writer, writerFor, writerFor, writerFor, writerWithDefaultPrettyPrinter, writerWithType, writerWithType, writerWithType, writerWithView, writeTree, writeTree, writeValue, writeValue, writeValue, writeValue, writeValue, writeValueAsBytes, writeValueAsString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IonObjectMapper

          public IonObjectMapper()

    - #### IonObjectMapper

          public IonObjectMapper(IonFactory f)

    - #### IonObjectMapper

          protected IonObjectMapper(IonObjectMapper src)

  - ### Method Detail

    - #### setCreateBinaryWriters

          public void setCreateBinaryWriters(boolean bin)

    - #### copy

          public com.fasterxml.jackson.databind.ObjectMapper copy()

      Overrides:
        `copy` in class `com.fasterxml.jackson.databind.ObjectMapper`

    - #### version

          public com.fasterxml.jackson.core.Version version()

      Specified by:
        `version` in interface `com.fasterxml.jackson.core.Versioned`
      Overrides:
        `version` in class `com.fasterxml.jackson.databind.ObjectMapper`

    - #### getFactory

          public IonFactory getFactory()

      Overrides:
        `getFactory` in class `com.fasterxml.jackson.databind.ObjectMapper`

    - #### readValue

          public <T> T readValue(software.amazon.ion.IonReader r,
                        Class<T> valueType)
                      throws IOException

      Deserialize an Ion value read from the supplied IonReader into a Java type.

      Note: method does not close the underlying reader

      Throws:
        `IOException`

    - #### readValue

          public <T> T readValue(software.amazon.ion.IonReader r,
                        com.fasterxml.jackson.core.type.TypeReference valueTypeRef)
                      throws IOException

      Deserialize an Ion value read from the supplied IonReader into a Java type.

      Note: method does not close the underlying reader

      Throws:
        `IOException`

    - #### readValue

          public <T> T readValue(software.amazon.ion.IonReader r,
                        com.fasterxml.jackson.databind.JavaType valueType)
                      throws IOException

      Deserialize an Ion value read from the supplied IonReader into a Java type.

      Note: method does not close the underlying reader

      Throws:
        `IOException`

    - #### readValue

          public <T> T readValue(software.amazon.ion.IonValue value,
                        Class<T> valueType)
                      throws IOException

      Convenience method for converting Ion value into given value type.
      Throws:
        `IOException`

    - #### readValue

          public <T> T readValue(software.amazon.ion.IonValue value,
                        com.fasterxml.jackson.core.type.TypeReference valueTypeRef)
                      throws IOException

      Convenience method for converting Ion value into given value type.
      Throws:
        `IOException`

    - #### readValue

          public <T> T readValue(software.amazon.ion.IonValue value,
                        com.fasterxml.jackson.databind.JavaType valueType)
                      throws IOException

      Convenience method for converting Ion value into given value type.
      Throws:
        `IOException`

    - #### writeValue

          public void writeValue(software.amazon.ion.IonWriter w,
                        Object value)
                          throws IOException

      Method that can be used to serialize any Java value as Ion output, using IonWriter provided.

      Note: method does not close the underlying writer explicitly

      Throws:
        `IOException`

    - #### writeValueAsIonValue

          public software.amazon.ion.IonValue writeValueAsIonValue(Object value)
                                                            throws IOException

      Method that can be used to map any Java value to an IonValue.
      Throws:
        `IOException`

Copyright © 2017 FasterXML. All rights reserved.